Bug 1077 - take UpdateInfo from the RPM changelogs by default
: take UpdateInfo from the RPM changelogs by default
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apt-utils)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-12 13:51 by
Modified: 2010-01-24 18:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-12 13:51:21
Then users will be able to see the changes introduced to the upgraded packages
by running \'apt-get --summary ...\' without downloading the pkgs. This will
not be perfect (because they won\'t be able to see the whole piece of the
chnagelog after the last installed version, only a fixed number of entries),
but this will be OK as the default behavior (now the UpdateInfo field remains
empty).

In most cases (like indexing the current Sisyphus) the last change (rpm
--lastchange) should be taken, but there should also be a possibility to
specify how many entries to include  (which release to start with; this can be
used for including UpdateInfo on CDs with updates).

---

---
apt-0.3.19cnc55-alt6

I\'m not sure about the best place to implement this feature: either internaly
in genpkglist program, or with an external shell command in genbasedir (not so
effective at work).

To implement the advanced second part of the feature, we would require a
program to extract a piece of RPM changelog (not just rpm --lastchange, but rpm
--chages-since=3.2.4-alt9).
------- Comment #1 From 2010-01-24 18:31:10 -------
apt-repo-tools:
* Sun Oct 25 2009 Alexey Tourbin <at@altlinux> 0.6.0.5-alt1
- genpkglist.cc: implemented "--changelog-since seconds" option
- genbasedir: implemented --changelog-since=DATE option